#include once "fltk-c.bi"

'test of:
' Fl_ColorCooser extends Fl_Group http://www.fltk.org/doc-1.3/classFl__Color__Chooser.html
' Fl_Color_ChooserNew
' Fl_Color_ChooserSetMode
' Fl_Color_ChooserRGB
const w = 320 ' create a 16:9 window only for fun
dim as Fl_Window ptr win = Fl_WindowNew(w,w/16*9, "Fl_Color_Chooser")
Fl_WindowBegin win ' (optional the Window constructor will open the child list for you)
  dim as Fl_Color_Chooser ptr cc = Fl_Color_ChooserNew(10,10,Fl_WidgetGetW(win)-20,Fl_WidgetGetH(win)-20)
  ' init via RGB (double)
  Fl_Color_ChooserRGB cc,0.75,0.5,0.0
  ' mode as byte
  Fl_Color_ChooserSetMode cc,FL_COLORCHOOSER_BYTE
Fl_WindowEnd win  ' (optional WindowShow will close the child list for you also)
Fl_WindowShow win
Fl_Run
